function dec=bits2dec(bits,m)
% Cette fonction convertit une serie de m bits en nombre decimal
%
%
% bits : vecteur contenant m bits
% m : nombre de bits
%
% dec : nombre decimal 
%
% Ex : bit2dec([0 1 0],3) = 2

bits=bits(:)';
N=length(bits);

if N~=m
    error('Le nombre de bit ne correspond pas');
end
dec=bin2dec(num2str(bits));


